###############################################################################
# PROJECT     : Embedded Wizard Application Demo
###############################################################################

###############################################################################
# GENERAL SETTINGS & PATHS
###############################################################################
# line feed definition used in error messages
define n


endef

EMWI_APP_PATH     = $(COMPONENT_PATH)/Application/GeneratedCode

ifeq (,$(wildcard $(EMWI_APP_PATH)/ewfiles.inc))
  $(error ERROR: $n$nThe file '(EMWI_APP_PATH)/ewfiles.inc' is missing!\
    $nPlease open Embedded Wizard project and generate code before calling make!)
endif

include $(EMWI_APP_PATH)/ewfiles.inc

EMWI_RTE_PATH     = $(COMPONENT_PATH)/PlatformPackage/RTE
EMWI_GFX_PATH     = $(COMPONENT_PATH)/PlatformPackage/$(EMWI_COLOR_FORMAT)

include $(EMWI_GFX_PATH)/ewgfx.inc
include $(EMWI_RTE_PATH)/ewrte.inc

COMPONENT_SRCDIRS :=                                                            \
                    Application/Source                                          \
                    Application/GeneratedCode                                   \
                    PlatformPackage/RTE                                         \
                    PlatformPackage/$(EMWI_COLOR_FORMAT)                        \
                    TargetSpecific                                              \
                    TargetSpecific/Drivers                                      \

COMPONENT_ADD_INCLUDEDIRS :=                                                    \
                    $(COMPONENT_SRCDIRS)

COMPONENT_ADD_LDFLAGS +=                                                        \
                    $(COMPONENT_PATH)/PlatformPackage/$(EMWI_COLOR_FORMAT)/$(EMWI_GFX_LIB) \
                    $(COMPONENT_PATH)/PlatformPackage/RTE/$(EMWI_RTE_LIB)

CFLAGS +=           -Wno-empty-body -Wno-missing-field-initializers             \
                    -DEW_FRAME_BUFFER_COLOR_FORMAT=EW_FRAME_BUFFER_COLOR_FORMAT_$(EMWI_COLOR_FORMAT) \
                    -DEW_SURFACE_ROTATION=$(EMWI_SURFACE_ROTATION)              \
